FPGA, SoC, And CPLD Boards And Kits
FPGA Evaluation and Development Kits
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.

Fix an error

SPere43
Beginner
491 Views

Hello guys.

Im try compile a example hello_world in a kernel.

But i have a error:

Error: Qsys-script FAILED.

I already checked the forum, but I didn't find any compatible solution.

 

Intel FPGA SDK

AoCL 19.1.0.670 

 

Can you help me to fix it?

0 Kudos
7 Replies
MEIYAN_L_Intel
Employee
375 Views

Hi,

 

May I know do you using the terasic board: DE1-SOC as I found the information from the .log file.

It seems like that board BSP is not compatible with Quartus v19.1.

 

Could you try to check the instructions provided by terasic to see the version of Quartus used that is compatible with your BSP.

 

Thanks

SPere43
Beginner
375 Views

Yes, exactly.

I'm using this FPGA: http://de1-soc.terasic.com/

What version you recommend? 16.1?

SPere43
Beginner
375 Views
MEIYAN_L_Intel
Employee
375 Views

Hi,

 

You may need to follow the instruction in the document below:

https://www.terasic.com.tw/attachment/archive/836/DE1SOC_OpenCL_v02.pdf

As I found Terasic have provide BSP in OpenCL SDK v14.0 and v16.0 shown in link:

https://www.terasic.com.tw/cgi-bin/page/archive.pl?Language=English&No=836&PartNo=4

I would recommend use OpenCL SDK v16.0 as BSP provided.

 

For more information about OpenCL SDK v16.0, you may need to refer the link below:

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/hb/opencl-sdk/archives/ug-a...

 

Thanks

SPere43
Beginner
375 Views

Hello MeiYanL,

Unfortunately, I reinstalled everything and set the version to 16.0 as requested.

Unfortunately I still have errors and I don't know what to do.

 

SPere43
Beginner
375 Views

as.PNG

MEIYAN_L_Intel
Employee
375 Views

Hi,

From the message, you may need to obtain the license file for the OpenCL SDK software from Altera Self Service Licensing Center.

For more information, you may need to refer the document as link below:

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/hb/opencl-sdk/archives/ug-a...

 

Thanks

 

Reply